# esp32_BNO08x: bno08x_meta_data_t Struct Reference

Loading...
Searching...
No Matches
bno08x_meta_data_t Struct Reference

Struct to represent sensor/report meta data, returned from BNO08xRpt::get_meta_data() More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_meta_data_t ()
| bno08x_meta_data_t (const sh2_SensorMetadata_t &src)

## Public Attributes

uint8_t | me_version
| Motion Engine Version.
uint8_t | mh_version
| Motion Hub Version.
uint8_t | sh_version
| SensorHub Version.
uint32_t | range
| Same units as sensor reports.
uint32_t | resolution
| Same units as sensor reports.
uint16_t | revision
| Metadata record format revision.
uint16_t | power_mA
| [mA] Fixed point 16Q10 format
uint32_t | min_period_us
| [uS] min period to use with enable_report
uint32_t | max_period_us
| [uS] max period to use with enable_report
uint32_t | fifo_reserved
| (Unused)
uint32_t | fifo_max
| (Unused)
uint32_t | batch_buffer_bytes
| (Unused)
uint16_t | q_point_1
| q point for sensor values
uint16_t | q_point_2
| q point for accuracy or bias fields
uint16_t | q_point_3
| q point for sensor data change sensitivity
uint32_t | vendor_id_len
| [bytes]
char | vendor_ID [48]
| Vendor name and part number.
uint32_t | sensor_specific_len
| [bytes]
uint8_t | sensor_specific [48]
| See SH-2 Reference Manual.

## Detailed Description

Struct to represent sensor/report meta data, returned from BNO08xRpt::get_meta_data()

## Constructor & Destructor Documentation

## bno08x_meta_data_t() [1/2]

bno08x_meta_data_t::bno08x_meta_data_t | ( |  | ) |

inline

## bno08x_meta_data_t() [2/2]

bno08x_meta_data_t::bno08x_meta_data_t | ( | const sh2_SensorMetadata_t & | src | ) |

inline

## Member Data Documentation

## batch_buffer_bytes

uint32_t bno08x_meta_data_t::batch_buffer_bytes

(Unused)

## fifo_max

uint32_t bno08x_meta_data_t::fifo_max

(Unused)

## fifo_reserved

uint32_t bno08x_meta_data_t::fifo_reserved

(Unused)

## max_period_us

uint32_t bno08x_meta_data_t::max_period_us

[uS] max period to use with enable_report

## me_version

uint8_t bno08x_meta_data_t::me_version

Motion Engine Version.

## mh_version

uint8_t bno08x_meta_data_t::mh_version

Motion Hub Version.

## min_period_us

uint32_t bno08x_meta_data_t::min_period_us

[uS] min period to use with enable_report

## power_mA

uint16_t bno08x_meta_data_t::power_mA

[mA] Fixed point 16Q10 format

## q_point_1

uint16_t bno08x_meta_data_t::q_point_1

q point for sensor values

## q_point_2

uint16_t bno08x_meta_data_t::q_point_2

q point for accuracy or bias fields

## q_point_3

uint16_t bno08x_meta_data_t::q_point_3

q point for sensor data change sensitivity

## range

uint32_t bno08x_meta_data_t::range

Same units as sensor reports.

## resolution

uint32_t bno08x_meta_data_t::resolution

Same units as sensor reports.

## revision

uint16_t bno08x_meta_data_t::revision

Metadata record format revision.

## sensor_specific

uint8_t bno08x_meta_data_t::sensor_specific[48]

See SH-2 Reference Manual.

## sensor_specific_len

uint32_t bno08x_meta_data_t::sensor_specific_len

[bytes]

## sh_version

uint8_t bno08x_meta_data_t::sh_version

SensorHub Version.

## vendor_ID

char bno08x_meta_data_t::vendor_ID[48]

Vendor name and part number.

## vendor_id_len

uint32_t bno08x_meta_data_t::vendor_id_len

[bytes]

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp